## com.sun.grizzly
Class SSLSelectorHandler

    java.lang.Object
      com.sun.grizzly.TCPSelectorHandler
          com.sun.grizzly.SSLSelectorHandler

All Implemented Interfaces:
  Handler, SelectorHandler, AttributeHolder, Copyable, SupportStateHolder<State>

    public class SSLSelectorHandler

extends TCPSelectorHandler

A SelectorHandler handles all java.nio.channels.Selector operations. One or more instance of a Selector are handled by SelectorHandler. The logic for processing of SelectionKey interest (OP_ACCEPT,OP_READ, etc.) is usually defined using an instance of SelectorHandler. This class represents a SSL (secured) implementation of a SelectorHandler. This class first bind a ServerSocketChannel to a TCP port and then start waiting for NIO events.

Author:
  Alexey Stashok

Field Summary

Fields inherited from class com.sun.grizzly.TCPSelectorHandler
`asyncQueueReader, asyncQueueWriter, attributes, connectorInstanceHandler, inet, instanceHandler, isClient, isShutDown, linger, logger, opToRegister, pipeline, port, reuseAddress, selectionKeyHandler, selector, selectTimeout, serverSocket, serverSocketChannel, serverTimeout, socketTimeout, ssBackLog, stateHolder, tcpNoDelay`

Constructor Summary
`SSLSelectorHandler()`
`SSLSelectorHandler(boolean isClient)` SSLSelectorHandler constructor

Method Summary
`protected Callable<ConnectorHandler>` `getConnectorInstanceHandlerDelegate()` Return <Callable>factory<Callable> object, which knows how to create `ConnectorInstanceHandler` corresponding to the protocol
`Controller.Protocol` `protocol()` A token decribing the protocol supported by an implementation of this interface

Methods inherited from class com.sun.grizzly.TCPSelectorHandler

`acceptWithoutRegistration, acquireConnectorHandler, closeChannel, configureChannel, connect, copyTo, getAsyncQueueReader, getAsyncQueueWriter, getAttribute, getAttributes, getInet, getLinger, getLogger, getPort, getPortLowLevel, getPreferredSelectionKeyHandler, getProtocolChainInstanceHandler, getSelectionKeyHandler, getSelector, getSelectTimeout, getServerTimeout, getSocketTimeout, getSsBackLog, getStateHolder, initOpRegistriesIfRequired, invokeAsyncQueueReader, invokeAsyncQueueWriter, invokeCallbackHandler, isOpen, isReuseAddress, isTcpNoDelay, keys, onAcceptInterest, onConnectInterest, onConnectOp, onReadInterest, onReadOp, onWriteInterest, onWriteOp, pause, pipeline, pollContext, postSelect, preSelect, processPendingOperations, register, register, releaseConnectorHandler, removeAttribute, resume, select, setAttribute, setAttributes, setInet, setLinger, setLogger, setPipeline, setPort, setProtocolChainInstanceHandler, setReuseAddress, setSelectionKeyHandler, setSelector, setSelectTimeout, setServerTimeout, setSocketTimeout, setSsBackLog, setTcpNoDelay, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLSelectorHandler

    public SSLSelectorHandler()

### SSLSelectorHandler

    public SSLSelectorHandler(boolean isClient)

  SSLSelectorHandler constructor

  Parameters:
    `isClient` - true, if SSLSelectorHandler will work only in client mode (will not listen for incoming client connections).

Method Detail

### protocol

    public Controller.Protocol protocol()

  Description copied from class: `TCPSelectorHandler`
  A token decribing the protocol supported by an implementation of this interface

  Specified by:
    `protocol` in interface `SelectorHandler`
  Overrides:
    `protocol` in class `TCPSelectorHandler`
  Returns:
    SelectorHandler supported protocol

### getConnectorInstanceHandlerDelegate

    protected Callable<ConnectorHandler> getConnectorInstanceHandlerDelegate()

  Description copied from class: `TCPSelectorHandler`
  Return <Callable>factory<Callable> object, which knows how to create `ConnectorInstanceHandler` corresponding to the protocol

  Overrides:
    `getConnectorInstanceHandlerDelegate` in class `TCPSelectorHandler`
  Returns:
    <Callable>factory

Copyright © 2008 SUN Microsystems. All Rights Reserved.